package com.caimei.www.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *cription
 *
 * @author : Charles
 * @date : 2020/6/12
 */
@Controller
public class ProductController extends BaseController {

	private static final String PRODUCT_LIST_PATH = "product/list";
	private static final String PRODUCT_DETAIL_PATH = "product/detail";

    @GetMapping("/product/list.html")
    public String hello(final Model model) {
        model.addAttribute("msg", "商品列表");
        return PRODUCT_LIST_PATH;
    }

    @GetMapping("/product/search.html")
    public String hello2(final Model model) {
        model.addAttribute("msg", "搜索结果");
        return PRODUCT_LIST_PATH;
    }

    @GetMapping("/product/detail.html")
    public String listPage(final Model model, @RequestParam("pid") Integer productId) {
        model.addAttribute("msg", productId);
        return PRODUCT_DETAIL_PATH;
    }


}
