var spiServer = $("#spiServer").val();
var isPC = ($(window).width()>768);
var classifyData = [];
var mainClassify = new Vue({
    el: '#mainClassify',
    data: {
        classify: []
    },
    methods: {},
    created: function () {
        var _self = this;
        $.getJSON(spiServer+"/product/classify").done(function (r) {
            if (r.code === 0 && r.data) {
                _self.classify = r.data;
                classifyData = r.data;
                if(isPC){
                    setTimeout(function(){
                        $('#mainClassify').slide({
                            mainCell:".clsCon"
                            ,titCell:".clsTab a"
                            ,trigger: "mouseover"
                        });
                    },500);
                }
            }
        });
    }
});
function jqClickShow(tab, con){
    $("body").on("click", tab, function(e){
        e.stopPropagation();
        if($(tab).hasClass("on")){
            $(tab).removeClass("on");
            $(con).slideUp("fast");
        }else{
            $(tab).addClass("on");
            $(con).slideDown("fast");
        }
    }).on("click", function(){
        $(tab).removeClass("on");
        $(con).slideUp("fast");
    });
}
function jqHoverShow(tab, con){
    $("body").on("mouseover", tab, function(e){
        e.stopPropagation();
        if($(tab).hasClass("on")){
            $(tab).removeClass("on");
            $(con).slideUp("fast");
        }else{
            $(tab).addClass("on");
            $(con).slideDown("fast");
        }
    }).on("mouseover", con, function(e){
        e.stopPropagation();
    }).on("mouseover", function(e){
        $(tab).removeClass("on");
        $(con).slideUp("fast");
    });
}
function jqMultipleShow(event, item, tab, con){
    $("body").on(event, item+' '+tab, function(e){
        e.stopPropagation();
        $(this).parents(item).siblings(item).find(con).slideUp("fast");
        $(this).parents(item).siblings(item).removeClass("on");
        $(this).parents(item).siblings(item).find(tab).removeClass("on");
        if($(this).hasClass("on")){
            $(this).removeClass("on");
            $(this).parents(item).removeClass("on");
            $(this).parents(item).find(con).slideUp("fast");
        }else{
            $(this).addClass("on");
            $(this).parents(item).addClass("on");
            $(this).parents(item).find(con).slideDown("fast");
        }
    }).on(event,  item+' '+con, function(e){
        e.stopPropagation();
    }).on(event, function(){
        $(item+' '+tab).removeClass("on");
        $(item).removeClass("on");
        $(item+' '+con).slideUp("fast");
    });
}
function jqSelect(selectBox){
    $("body").on("click", selectBox, function(e){
        e.stopPropagation();
        var select = $(this).find("select");
        var options = select.find("option");
        var list = "";
        for (var i=0; i<options.length; i++){
            list += '<li data-id="'+$(options[i]).val()+'">'+$(options[i]).text()+'</li>';
            if($(options[i]).val()===select.val()){
                $(this).find("[data-select]").text($(options[i]).text()).attr('data-select',$(options[i]).val());
            }
        }
        $(this).find("ul").html(list);
        $(this).find("ul").slideToggle("fast");
    }).on("click", selectBox + " li", function(e){
        e.stopPropagation();
        $(this).parent().prev().attr('data-select',$(this).attr("data-id")).text($(this).text());
        $(this).parents("pc").next().val($(this).attr("data-id"));
        $(this).parent().slideUp("fast");
    }).on("click", function(){
        $(selectBox).find("ul").slideUp("fast");
    });
}




$(function(){
    $(window).resize(function() {
        var flag = (isPC && $(window).width()<=768) || (!isPC && $(window).width()>768)
        if(flag){
            window.location.reload();
        }
    });
    if(isPC){
        jqClickShow(".baseHeadTop .cTab", ".baseHeadTop .cShow");
        jqSelect(".jqSelect");
        jqHoverShow(".classBtn", "#mainClassify");
    }else{
        jqMultipleShow("click", ".footLink .list", ".tab", ".con");
    }




});
