package com.caimei.www.service;

import com.caimei.module.base.entity.bo.JsonModel;
import com.caimei.www.pojo.HomeFloor;

import java.util.List;

/**
 * 首页服务
 *
 * @author : Charles
 * @date : 2020/6/22
 */
public interface HomeService {
    /**
     * 首页楼层
     */
    List<HomeFloor> getHomePageFloor();

    /**
     * 首页轮播图
     */
    JsonModel getHomeBanners();

    /**
     * 首页左侧广告图
     */
    JsonModel getAdvertising();

    /**
     * 首页推荐专区
     */
    JsonModel getRecommendProducts();

    /**
     * 首页专题数据
     */
    JsonModel getHomeTopicData();
}
